View Issue Details

IDProjectCategoryView StatusLast Update
0000277HTML & PERLFeature Request - Interfacepublic2017-08-05 11:33
Reporterworf Assigned ToDerIdiot  
PrioritynormalSeveritytweakReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2017-08 
Summary0000277: Changing creqs
DescriptionIt would be really nice if it was possible to change creqs that were submitted by oneself.

Its kind of a waste of time when one creqs almost all information of a file but has to revoke and recreq everything because of a typo or because of a forgotten field.

(At least NEW creqs should be changeable by the user who submitted the creq. As soon as a mod took a look at the creq changing it should be denied.)
Tagscreq

Activities

wlah

2006-03-14 22:43

reporter   ~0000782

Also, mods should be able to edit fields in creqs to avoid having to deny, then go to the particular id to change it oneself...

DerIdiot

2006-09-18 13:25

administrator   ~0001045

[ 05:20:39 ] [ @Wlah ] like ricce's stupid nakame or neaaaa (where it should be nakama and naaaa)
[ 05:21:11 ] [ @Wlah ] DerIdiot well then at least a link directly to that specific part of the creq, if possible
[ 05:21:50 ] [ @DerIdiot ] hmm yeah
[ 05:21:55 ] [ @DerIdiot ] grant + edit link
[ 05:22:08 ] [ @Wlah ] indeed
[ 05:22:09 ] [ @DerIdiot ] would save some clicks and our sanity
[ 05:22:11 ] [ @Wlah ] gtg eat
[ 05:22:29 ] [ @DerIdiot ] would be easy enough to do
[ 05:23:08 ] [ @DerIdiot ] or maybe not change the bit in realtime and do it properly, but rather que the new change
[ 05:23:13 ] [ @DerIdiot ] and apply it after the creq was grnated
[ 05:23:19 ] [ @DerIdiot ] *queue
[ 05:24:02 ] [ @DerIdiot ] would also not need changes to the history

Musaran

2008-02-06 22:46

reporter   ~0001670

We definitely should be able to edit our own creqs (until they get checked).

The blocking gets in the way of users fixing their own typos/errors/omissions or adding more info, and the resulting double creqs is more work for mods.

DerIdiot

2017-07-27 22:51

administrator   ~0004069

Last edited: 2017-07-28 08:28

View 2 revisions

implemented for anime, character, creator, anime-group and all title creqs

DerIdiot

2017-07-28 22:19

administrator   ~0004070

Last edited: 2017-07-29 19:23

View 3 revisions

implemented for collections, songs, tags, groups, episodes, resources

DerIdiot

2017-07-29 19:24

administrator   ~0004071

combined creqs that consist of base entry, title and resource work now as well for all parts.

state of affairs summed up:
--done--
animegroup
anime
animetitle
charname
char
collectionname
collection
creatorname
creator
ep
eptitle
group
resource
songname
song
tagdata
tagname
tagrel

--not implemented--
animeanimerel
animeanimerel
charcharrel
creatorcreatorrel
songsongrel
charanimerel
creatoranimerel
creatorcharanimerel
creatorsongrel
fileeprel
filerel
groupgroup
songanimerel
songcollectionrel
tagentityrel
file
streamaud
streamsub
streamvid

i don'T think the rest really deserves any time invested into them.

Issue History

Date Modified Username Field Change
2005-10-06 10:37 worf New Issue
2006-03-14 22:43 wlah Note Added: 0000782
2006-09-18 13:25 DerIdiot Note Added: 0001045
2006-09-21 18:55 pelican Status new => assigned
2006-09-21 18:55 pelican Assigned To => pelican
2008-02-06 22:46 Musaran Note Added: 0001670
2008-08-06 11:30 pelican Assigned To pelican => DerIdiot
2009-01-20 11:10 worf Assigned To DerIdiot => pelican
2010-07-09 21:51 DerIdiot Assigned To pelican =>
2010-07-09 21:51 DerIdiot Status assigned => acknowledged
2010-07-17 23:59 ninjamask Tag Attached: creq
2016-09-03 12:14 DerIdiot Status acknowledged => new
2017-07-27 22:51 DerIdiot Note Added: 0004069
2017-07-28 08:28 DerIdiot Note Edited: 0004069 View Revisions
2017-07-28 22:19 DerIdiot Note Added: 0004070
2017-07-29 00:02 DerIdiot Note Edited: 0004070 View Revisions
2017-07-29 19:23 DerIdiot Note Edited: 0004070 View Revisions
2017-07-29 19:24 DerIdiot Note Added: 0004071
2017-07-29 19:25 DerIdiot Assigned To => DerIdiot
2017-07-29 19:25 DerIdiot Status new => resolved
2017-07-29 19:25 DerIdiot Resolution open => fixed
2017-07-30 03:24 DerIdiot Fixed in Version => 2017-08
2017-08-05 06:26 CDB-Man Status resolved => feedback
2017-08-05 06:26 CDB-Man Resolution fixed => reopened
2017-08-05 11:33 DerIdiot Status feedback => resolved
2017-08-05 11:33 DerIdiot Resolution reopened => fixed